.container {
    max-width: 1170px;
    margin: auto;
}

img {
    max-width: 100%;
}

.inbox_people {
    background: #f8f8f8 none repeat scroll 0 0;
    float: left;
    overflow: hidden;
    width: 40%;
    border-right: 1px solid #c4c4c4;
}

.inbox_msg {
    border: 1px solid #c4c4c4;
    clear: both;
    overflow: hidden;
}

.top_spac {
    margin: 20px 0 0;
}

.recent_heading {
    float: left;
    width: 40%;
}

.srch_bar {
    display: inline-block;
    text-align: right;
    width: 60%;
}

.headind_srch {
    padding: 10px 29px 10px 20px;
    overflow: hidden;
    border-bottom: 1px solid #c4c4c4;
}

.recent_heading h4 {
    color: #05728f;
    font-size: 21px;
    margin: auto;
}

.srch_bar input {
    border: 1px solid #cdcdcd;
    border-width: 0 0 1px 0;
    width: 80%;
    padding: 2px 0 4px 6px;
    background: none;
}

.srch_bar .input-group-addon button {
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border: medium none;
    padding: 0;
    color: #707070;
    font-size: 18px;
}

.srch_bar .input-group-addon {
    margin: 0 0 0 -27px;
}

.chat_ib h5 {
    font-size: 15px;
    color: #464646;
    margin: 0 0 8px 0;
}

.chat_ib h5 span {
    font-size: 13px;
    float: right;
}

.chat_ib p {
    font-size: 14px;
    color: #989898;
    margin: auto
}

.chat_img {
    float: left;
    width: 11%;
}

.chat_ib {
    float: left;
    padding: 0 0 0 15px;
    width: 88%;
}

.chat_people {
    overflow: hidden;
    clear: both;
}

.chat_list {
    border-bottom: 1px solid #c4c4c4;
    margin: 0;
    padding: 18px 16px 10px;
}

.inbox_chat {
    height: 550px;
    overflow-y: scroll;
}

.active_chat {
    background: #ebebeb;
}

.incoming_msg_img {
    display: inline-block;
    width: 6%;
}

.received_msg {
    display: inline-block;
    padding: 0 0 0 10px;
    vertical-align: top;
    width: 92%;
}

.received_withd_msg p {
    background: #ebebeb none repeat scroll 0 0;
    border-radius: 3px;
    color: #646464;
    font-size: 14px;
    margin: 0;
    padding: 5px 10px 5px 12px;
    width: 100%;
}

.time_date {
    color: #747474;
    display: block;
    font-size: 12px;
    margin: 8px 0 0;
}

.received_withd_msg {
    width: 57%;
}

.mesgs {
    float: left;
    padding: 30px 15px 0 25px;
    width: 60%;
}

.sent_msg p {
    background: #05728f none repeat scroll 0 0;
    border-radius: 3px;
    font-size: 14px;
    margin: 0;
    color: #fff;
    padding: 5px 10px 5px 12px;
    width: 100%;
}

.outgoing_msg {
    overflow: hidden;
    margin: 26px 0 26px;
}

.sent_msg {
    float: right;
    width: 46%;
}

.input_msg_write input {
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border: medium none;
    color: #4c4c4c;
    font-size: 15px;
    min-height: 48px;
    width: 100%;
}

.type_msg {
    border-top: 1px solid #c4c4c4;
    position: relative;
}

.msg_send_btn {
    background: #05728f none repeat scroll 0 0;
    border: medium none;
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    font-size: 17px;
    height: 33px;
    position: absolute;
    right: 0;
    top: 11px;
    width: 33px;
}

.messaging {
    padding: 0 0 50px 0;
}

.msg_history {
    height: 516px;
    overflow-y: auto;
}

.ig {
    box-shadow: 0 4px 2px -1px #ccc;
    border-radius: 0 !important;
}

.p-20 {
    padding: 20px !important;
}

.list-unstyled {
    padding-left: 0;
    list-style: none;
}

.fs-17 {
    font-size: 17px;
}

.clr-4 {
    color: #444;
}

.lh-20 {
    line-height: 20px;
}

.br-50 {
    border-radius: 50% !important;
}

.title {
    color: #000 !important;
    margin-bottom: 0;
    font-size: 17px;
}

.card {
    border: 1px solid #ddd !important;
    position: sticky;
    top: 0;
}

.atach {
    /*background: #e2e2e2;
    width: 40px;
    height: 36px;*/
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    color: #000 !important;
}

.ml-5 {
    margin-left: 5px;
}

.send {
    /*width: 40px;
    height: 36px;*/
    text-align: center;
    color: #6c757d;
    /*line-height: 35px;
    border-radius: 50%;
    color: #fff !important;
    background: -webkit-linear-gradient(top,#31a64f,#016e1d) !important;
    display: flex;
    align-items: center;
    justify-content: center;*/
    padding: 4px;
}

.chat-imgp {
    background: #f7f7f7;
    padding: 10px 5px;
    margin-right: 10px;
    width: 25%;
}

.chat-img {
    width: 90px;
    height: 90px;
    object-fit: contain;
    margin-right: 0 !important;
}

.o-pro {
    white-space: nowrap;
    width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.pro-des {
    width: 100%;
}

.flag-trash {
    float: right;
}

.flag-trash i {
    font-size: 14px;
    padding: 0 3px;
}

.flag-trash a+a::before {
    content: '|';
    padding: 0 5px;
}

.pro-des p {
    margin-bottom: 3px;
    font-size: 14px;
}


/*-------custom radio button-------*/


/* The container */

.container-r {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 15px;
    font-weight: 500 !important;
}


/* Hide the browser's default radio button */

.container-r input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}


/* Create a custom radio button */

.checkmark-r {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 50%;
}


/* On mouse-over, add a grey background color */

.container-r:hover input~.checkmark-r {
    background-color: #ccc;
}


/* When the radio button is checked, add a blue background */

.container-r input:checked~.checkmark-r {
    background-color: #309553;
}


/* Create the indicator (the dot/circle - hidden when not checked) */

.checkmark-r:after {
    content: "";
    position: absolute;
    display: none;
}


/* Show the indicator (dot/circle) when checked */

.container-r input:checked~.checkmark-r:after {
    display: block;
}


/* Style the indicator (dot/circle) */

.container-r .checkmark-r:after {
    top: 9px;
    left: 9px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
}


/*-------End custom radio button-----*/

.flag-ul {
    padding-left: 0;
}

.flag-ul li {
    list-style-type: none;
}

.btn-signs {
    background: #f8991b !important;
    color: #fff !important;
    font-weight: 600;
    font-size: 15px;
}

.flag-trash a {
    color: #6c757d!important;
}

.pl-0 {
    padding-left: 0 !important;
}

.atachul li {
    list-style-type: none;
    display: inline-block;
}

.atachul {
    padding-left: 0;
}

.atachul li a {
    display: block;
}

@media (min-width: 768px) {
    .chat-ls {
        position: relative;
        height: 580px;
        overflow-y: auto;
    }
    .modal {
        top: 25% !important;
    }
    .bl-11 {
        border-right: 1px solid #ccc;
    }
}

@media(max-width:768px) {
    .chat-ls {
        position: relative;
        height: auto;
        overflow-y: auto;
    }
    .modal {
        top: 20% !important;
    }
    .chat-inb {
        padding: 20px;
    }
    .chat-r {
        padding: 20px;
        padding-bottom: 0;
    }
    .card {
        margin-top: 15px !important;
    }
}

@media(max-width:400px) {
    .o-pro {
        width: 170px;
    }
}


/*----------some new-------*/

.write {
    /*position: absolute;
    bottom: 29px;
    left: 30px;*/
    height: 35px;
    padding: 0;
    border: 1px solid var(--light);
    background-color: #eceff1;
    border-radius: 5px;
    float: left;
}

.write-link.attach:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: 42px;
    content: "";
    background-image: url("../../assets/build/img/send.png");
    background-repeat: no-repeat;
    background-position: center;
}

.write .write-link.smiley:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: auto;
    content: "\f030";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    color: #999;
    display: flex;
    align-items: center;
    /*background-image: url("../img/camera.png");
    background-repeat: no-repeat;
    background-position: center;*/
}

.write .write-link.send:before {
    display: inline-block;
    float: left;
    width: 20px;
    height: 33px;
    margin-left: 11px;
    content: "";
    background-image: url("../../assets/build/img/attachment.png");
    background-repeat: no-repeat;
    background-position: center;
}

.write input {
    font-size: 16px;
    float: left;
    width: 100%;
    height: 33px;
    padding: 0 10px;
    color: var(--dark);
    border: 0;
    outline: none;
    background-color: #eceff1;
    font-family: "Source Sans Pro", sans-serif;
    font-weight: 400;
}

.pt-8 {
    padding-top: 8px;
}

.atch-div {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    height: -webkit-fill-available;
}

.atch-div a {
    margin: 5px;
}

.attach {
    background: #eceff1;
    display: flex;
    justify-content: center;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

@media(min-width:1400px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 5%;
        float: left;
        margin-left: 4px; */
    }
}

@media(max-width:1400px) and (min-width:1200px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 6%;
        float: left;
        margin-left: 4px; */
    }
}

@media(max-width:1200px) and (min-width:992px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 8%;
        float: left;
        margin-left: 4px; */
    }
}

@media(max-width:992px) and (min-width:767px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 10%;
        float: left;
        margin-left: 4px; */
    }
}

@media(min-width:450px) and (max-width:767px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 9%;
        float: left;
        margin-left: 4px; */
    }
}

@media(max-width:450px) {
    .write {
        width: 100%;
    }
    .send-buton {
        /* width: 13%;
        float: left;
        margin-left: 4px; */
    }
}


/*@media(max-width:500px)
{
  .write input
  {
    width: 70%;
  }
}*/

.page-content {
    padding: 0 12px;
}

.cht-div {
    display: flex;
    justify-content: space-between;
    padding: 10px 0 0 0;
    width: -webkit-fill-available;
    /* overflow: auto; */
    box-sizing: border-box;
    gap: 5px;
    position: sticky;
    bottom: 0;
    background-color: #fff;
    padding-bottom: 10px;
}

.pro-des p {
    font-weight: normal !important;
    margin-bottom: 0 !important;
    padding-bottom: 0 !important;
}

.o-pro strong {
    font-weight: 500 !important;
}

.pr-0 {
    padding-right: 0;
}

.chtls {
    position: relative;
    height: 520px;
    overflow-y: auto;
}

.chat-r {
    position: relative;
    height: 550px;
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 10px;
    padding-bottom: 0;
}

@media(min-width:767px) {
    .charl-side {
        padding-right: 0;
    }
    .chatr-side {
        padding-left: 0;
    }
}

@media(max-width:767px) {
    .chat-r {
        border-top: 1px solid #ddd;
    }
}